import { NgModule } from '@angular/core';
import { FormsModule } from '@angular/forms';
import { CanvasModule } from '../canvas/canvas.module'
import { MateFunComponent } from './matefun.component';
import { BootstrapModalModule } from 'ng2-bootstrap-modal';
import { ConfirmComponent } from './confirm.component';
import { SeleccionarDirectorioComp } from './seleccionarDirectorio.component';
import { CommonModule } from '@angular/common';
import { MateFunRoutingModule } from './matefun-routing.module';
import { CodemirrorModule } from 'ng2-codemirror';
import { NgbModule } from '@ng-bootstrap/ng-bootstrap';
import { NotificacionModule } from '../../notificacion/notificacion.module';
import { Graph2DModule } from '../plotter/graph2D/graph2D.module';
import { Graph3DModule } from '../plotter/graph3D/graph3D.module';
import { I18nModule } from '../../shared/modules/translate/i18n.module';
import { TitleCaseModule } from '../../shared/modules/titlecase.module';

@NgModule({
    imports: [
        CommonModule, 
        FormsModule, 
        CanvasModule, 
        Graph2DModule,
        Graph3DModule,
        NotificacionModule,
        MateFunRoutingModule,
        CodemirrorModule,
        NgbModule,    
        BootstrapModalModule,
        I18nModule,
        TitleCaseModule
    ],      
    entryComponents: [
        ConfirmComponent,
        SeleccionarDirectorioComp
    ],
    declarations: [
        MateFunComponent,
        ConfirmComponent,
        SeleccionarDirectorioComp
    ],
    exports: [MateFunComponent]
})

export class MateFunModule { }
